aboutsummaryrefslogtreecommitdiff
path: root/board/raspberrypi
diff options
context:
space:
mode:
Diffstat (limited to 'board/raspberrypi')
-rwxr-xr-xboard/raspberrypi/post-build.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/board/raspberrypi/post-build.sh b/board/raspberrypi/post-build.sh
new file mode 100755
index 0000000000..7eae14a885
--- /dev/null
+++ b/board/raspberrypi/post-build.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -u
+set -e
+
+# Add a console on tty1
+grep -qE '^tty1::' ${TARGET_DIR}/etc/inittab || \
+sed -i '/GENERIC_SERIAL/a\
+tty1::respawn:/sbin/getty -L tty1 0 vt100 # HDMI console' ${TARGET_DIR}/etc/inittab